<?php

 
class Sayfalama_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }
    
	
	 /*
     *  limitli getirme
     */
    function sayfalama_getir($data,$sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
        $limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  $data ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();
    }
	
	
	function toplam_kayit_sayi($data)
    {
        $query = $this->db->query("SELECT * FROM  $data ORDER BY id DESC")->result_array();
		return count($query);
    }
	//////////////////////////////////ADMİN//////////////////////////////////////////
	
	/*
     *  Çalışanlar admin sayfalama
     */
	
	 function sayfalama_getir_calisanlar_admin($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  calisan WHERE  aktif=1 ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();

	      
	}
	function calisanlar_toplam_kayit_sayi()
    {
        $query = $this->db->query("SELECT * FROM  calisan WHERE aktif=1 ORDER BY id DESC")->result_array();
		return count($query);
    }
	
	/*
     *  Müşteriler admin sayfalama
     */
	
	 function sayfalama_getir_musteriler_admin($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  musteri WHERE  aktif=1 ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();

	      
	}
	function musteriler_toplam_kayit_sayi()
    {
        $query = $this->db->query("SELECT * FROM  musteri WHERE aktif=1 ORDER BY id DESC")->result_array();
		return count($query);
    }
	
	
	
	
	/*
     *  İşler admin sayfalama
     */
	
	 function sayfalama_getir_isler_admin($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  isler WHERE  onay!=3 ORDER BY acil ASC limit $limit, $sayfagetiradet")->result_array();

	      
	}
	function isler_toplam_kayit_sayi()
    {
        $query = $this->db->query("SELECT * FROM  isler WHERE onay!=3 ORDER BY acil ASC")->result_array();
		return count($query);
    }
	/*
     * Dönen İşler admin sayfalama
     */
	
	 function sayfalama_getir_donenis_admin($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  isler WHERE dosyadonen!='' AND onay!=3 ORDER BY acil ASC limit $limit, $sayfagetiradet")->result_array();

	      
	}
	
	function donenis_toplam_kayit_sayi()
    {
		
        $query = $this->db->query("SELECT * FROM  isler WHERE dosyadonen!='' AND onay!=3 ORDER BY acil ASC")->result_array();
		return count($query);
    }
	
     /*
     * Tamamlanan İşler Sayfalama Admin
     */
    function sayfalama_getir_tamamis_admin($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
        $limit=$sayfagetiradet*$sayfa;
		return $this->db->query("SELECT * FROM  isler WHERE onay=3 ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();

    }  
	
	function tamamis_admin_toplam_kayit_sayi()
    {
        $query = $this->db->query("SELECT * FROM  isler WHERE  onay=3 ORDER BY id DESC")->result_array();
		return count($query);
    }
	
	///////////////////////////////////ÇALIŞAN////////////////////////////////////
	///havuz///
	function sayfalama_havuz($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		$useryetki = $this->session->userdata('useryetki');		
		return $this->db->query("SELECT * FROM  isler WHERE  istur=$useryetki AND yapan=0 AND onay!=3 ORDER BY acil ASC limit $limit, $sayfagetiradet")->result_array();
    }
	
	function havuz_toplam_kayit_sayi()
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$useryetki = $this->session->userdata('useryetki');		
		$query = $this->db->query("SELECT * FROM  isler WHERE  istur=$useryetki AND yapan=0 AND onay!=3 ORDER BY acil ASC")->result_array();
		return count($query);
    }
	 ///Bende///
	function sayfalama_bende($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		$userid = $this->session->userdata('userid');		
		return $this->db->query("SELECT * FROM  isler WHERE  yapan=$userid AND onay!=3 AND onay!=4  ORDER BY acil ASC limit $limit, $sayfagetiradet")->result_array();
    }
	
	function bende_toplam_kayit_sayi()
    {
		
		$userid = $this->session->userdata('userid');		
		$query = $this->db->query("SELECT * FROM  isler WHERE  yapan=$userid AND onay!=3 AND onay!=4  ORDER BY acil ASC")->result_array();
		return count($query);
    }
	 ///Tamam///
	function sayfalama_tamam($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
		$limit=$sayfagetiradet*$sayfa;
		$userid = $this->session->userdata('userid');		
		return $this->db->query("SELECT * FROM  isler WHERE  yapan=$userid AND onay=3 ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();
    }
	
	function tamam_toplam_kayit_sayi()
    {

		$userid = $this->session->userdata('userid');		
		$query = $this->db->query("SELECT * FROM  isler WHERE  yapan=$userid AND onay=3 ORDER BY id DESC")->result_array();
		return count($query);
    }
	
	 /*
     * Bildirimler
     */
    function sayfalama_getir_bildirim($sayfa)
    {
		$sayfagetiradet=$this->session->userdata('sayfaadet');	
        $limit=$sayfagetiradet*$sayfa;
		
		$userid  =  $this->session->userdata('userid');
		$useryetki =  $this->session->userdata('useryetki');
		return  $this->db->query("SELECT * FROM  bildirim WHERE (kime=0 and calisan='$useryetki') OR (kime=1 and calisan='$userid') ORDER BY id DESC limit $limit, $sayfagetiradet")->result_array();

    }  
		
	function toplam_kayit_bildirim()
    {
		
			$userid  =  $this->session->userdata('userid');
			$useryetki =  $this->session->userdata('useryetki');
			$query =  $this->db->query("SELECT * FROM  bildirim WHERE (kime=0 and calisan='$useryetki') OR (kime=1 and calisan='$userid') ORDER BY id DESC")->result_array();
		
		return count($query);
    }
	
}
